﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="CallDetails_Sync._Default" %>

<%@ Register Assembly="Syncfusion.EJ" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
    <script src="Scripts/ej/i18n/ej.culture.de-DE.min.js"></script>
    <link rel="stylesheet" runat="server" href="Content/Site.css" type="text/css" />
</asp:Content>

<asp:Content ID="body" ContentPlaceHolderID="body" runat="server">

    <div class="mainCommand">
        <div class="divCommand">
            <ej:Button ID="btnClear" Type="Button" CssClass="button" ClientSideOnClick="setURLData" runat="server" Text="Initial load / reset"></ej:Button>
            <ej:Button ID="btnUpdate" Type="Button" CssClass="button" ClientSideOnClick="setURLUpdate" runat="server" Text="Update"></ej:Button>

        </div>
    </div>

    <ej:Splitter ID="SPMain" runat="server" Height="80vh" Width="100%" Orientation="Horizontal" EmptyDataText="" EnableAutoResize="false">
        <ej:SplitPane PaneSize="70%" MinSize="400" runat="server">
            <PaneContent>
                <div style="height: 100%; width: 100%; float: left;">
                    <div style="height: 100%; width: 100%; float: left;">
                        <asp:TextBox ID="txtBoxCallLog" runat="server" TextMode="MultiLine" CssClass="txtBoxCallLog"></asp:TextBox>
                    </div>
                </div>
            </PaneContent>
        </ej:SplitPane>

        <ej:SplitPane runat="server" PaneSize="450px">
            <PaneContent>
                <%--                <ej:DataManager runat="server" ID="mainDataManager" URL="default.aspx/Data" Adaptor="WebMethodAdaptor" />--%>
                <%--                <ej:WaitingPopup ID="test" runat="server" Target="#targetelement" ShowOnInit="false"></ej:WaitingPopup>--%>
                <div id="targetelement" style="height: 100%; width: 100%; float: left;">
                    <div style="height: 100%; width: 100%; float: left;">
                        <ej:Grid ID="mainGrid" AllowScrolling="true" AllowResizeToFit="true" AllowResizing="true" AllowPaging="true" AllowSorting="true" AllowGrouping="true" runat="server" OnServerRecordDoubleClick="mainGrid_ServerRecordDoubleClick">
                            <DataManager runat="server" URL="api/testdata/" Adaptor="WebApiAdaptor" />
                            <Columns>
                                <ej:Column Field="INTERACTIONIDKEY" HeaderText="INTERACTIONIDKEY" TextAlign="Left" Width="50px">
                                </ej:Column>
                                <ej:Column Field="REMOTENUMBER" HeaderText="REMOTENUMBER" TextAlign="Left" Width="50px">
                                </ej:Column>
                                <ej:Column Field="LASTUPDATE" HeaderText="DATETIME" TextAlign="Left" Format="{0:MM/dd/yyyy}" Width="50px">
                                </ej:Column>
                            </Columns>
                            <PageSettings PageSize="20" />
                            <ScrollSettings ScrollerSize="20" Width="103px" Height="55%" />

                            <%--                            <ClientSideEvents DataBound="dataBound" />--%>
                        </ej:Grid>
                    </div>
                </div>
            </PaneContent>
        </ej:SplitPane>
    </ej:Splitter>

    <script type="text/javascript">

        $(document).ready(function () {
            $("#<%=btnClear.ClientID%>").click(function () {
                showpopup();
            });
            $("#<%=btnUpdate.ClientID%>").click(function () {
                showpopup();
            });
        });


        function setURLData(e) {
            var data = ej.DataManager({
                url: "api/testdata/",
                adaptor: new ej.WebApiAdaptor()
            })

            var query = new ej.Query();

            var execute = data.executeQuery(query)
                    .done(function (e) {
                        var data = e.result;
                        var gridobj = $("#<%=mainGrid.ClientID%>").data("ejGrid");
                        gridobj.dataSource(data.result);
                        hidepopup();
                    });
                }

        function setURLUpdate(e) {
            var data = ej.DataManager({
                url: "api/testdata/",
                adaptor: new ej.WebApiAdaptor()
            })
            var query = new ej.Query();
            var execute = data.executeQuery(query)
                    .done(function (e) {
                        var data = e.result;
                        var gridobj = $("#<%=mainGrid.ClientID%>").data("ejGrid");
                        gridobj.dataSource(data.result);
                        hidepopup();
                    });
                }

        function showpopup() {
            $(function () {
                $("#targetelement").ejWaitingPopup();
                var popUpObj = $("#targetelement").data("ejWaitingPopup");
                popUpObj.show();
            });
        }

        function hidepopup() {
            $(function () {
                $("#targetelement").ejWaitingPopup();
                var popUpObj = $("#targetelement").data("ejWaitingPopup");
                popUpObj.hide();
            });
        }
    </script>
</asp:Content>


